# -*- coding: iso-8859-1 -*-
"""
Programme du couplage entre HOMARD et Code_Aster
"""
__revision__ = "V2.0"
#
import os
#
from aster_homard_utilitaires   import tue_rep
#
########################## Debut de la fonction ##################################
#
#   Arguments :
#     1. Dictionnaire des arguments generaux
#
def aster_homard_2 (dict_arguments) :
#
  """docstring"""
#
# 1. code de retour :
  blabla = "\nDans " + __name__ + " :"
  messages_erreur = { 0 : "Tout va bien", 
                      2 : "Impossible de supprimer le repertoire pour HOMARD.", 
                      3 : "Impossible de creer le repertoire pour HOMARD." }
#
  codret = 0
#  print blabla, dict_arguments
#
# 2. Creation du repertoire pour homard
#
  rep_calc_logiciel = dict_arguments["rep_calc_LOGICIEL"]
#
  if os.path.isdir(rep_calc_logiciel) :
    codret = tue_rep (rep_calc_logiciel)
#
  if codret == 0 :
    codret_partiel = [0]
    try :
      os.mkdir(rep_calc_logiciel)
    except os.error, codret_partiel :
      print "Code d'erreur de mkdir : ", codret_partiel[0], ":", codret_partiel[1]
    if codret_partiel[0] != 0 :
      codret = 3
  else :
    codret = 2
#
# 3. La fin
#
  if codret != 0 :
    print blabla, messages_erreur[codret]
#
  return codret
#
##########################  Fin de la fonction  ##################################
#
##########################       Auto-test      ##################################
#
if __name__ == '__main__' :
#
  from aster_homard_utilitaires import verif
#
  d = {"rep_calc_LOGICIEL":"toto"}
  l1_refe = 0
  l1_calc = aster_homard_2 (d)
  verif ("Test sur l1", l1_refe, l1_calc)
